<template>
    <ob-form :is-read-only="true" :form-data="{}">
        <div class="row">
            <div class="col-xs-12">
                <ob-textarea
                :label="dictionaryRu.modal.title_label"
                :disabled="true"
                v-model="data.title"
                ></ob-textarea>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <ob-select
                :items="STATUS_LIST"
                display-exp="text"
                value-exp="value"
                :disabled="true"
                :label="dictionaryRu.modal.status"
                v-model="data.is_active"
            />
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <ob-input
                :label="dictionaryRu.modal.article_number"
                :disabled="true"
                v-model="data.article_number"
                />
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <ob-input
                    :label="dictionaryRu.modal.code_type"
                    :disabled="true"
                    v-model="CODEX_NAME(data.code_type).full"
                />
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <ob-input
                    :label="dictionaryRu.modal.country_code"
                    :disabled="true"
                    v-model="COUNTRY_CODE(data.country_code).full"
                />
            </div>
        </div>
    </ob-form>
</template>

<script>
    import { STATUS_LIST, CODEX_NAME, COUNTRY_CODE } from '../../../helpers';
    import ObTextarea from "common-components/src/obComponents/obTextarea";
    import ObSelect from "common-components/src/obComponents/obSelect";
    import ObInput from "common-components/src/obComponents/obInput";
    import ObForm from "common-components/src/obComponents/obForm";
    import { dictionary } from '@/translations/ru/dictionaries__sb_dictionaries__law_articles';

    export default {
        name: "LawArticlesPopup",
        components: {ObForm, ObInput, ObTextarea, ObSelect},
        props: {
            data: {
                type: Object,
                default: () => {}
            }
        },
        data () {
            return {
                dictionaryRu: dictionary,
                STATUS_LIST
            }
        },
        methods: {
            CODEX_NAME,
            COUNTRY_CODE
        }
    }
</script>

<style scoped>

</style>
